curl --request GET \
--url https://app.sandbox.rio.trade/api/bank/accounts/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/bank/accounts/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/bank/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "66562bc04fe8bf83c577c178",
"createdAt": "2024-05-31T13:55:11.452Z",
"bankName": "BANAMEX",
"country": "MX",
"accountHolderName": "Account holder name",
"fiat": "USD",
"accountNumber": "0123456789",
"CLABE": "0023764000000012345",
"CCI": "00111233001112345678",
"approved": true,
"notes": "Bank Account",
"email": "<string>",
"advancedVerificationStatus": "initiated",
"id": "6659d6bfd78151f639e74d53",
"userName": "<string>"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}Get a bank account
Requirements to consume the endpoint.
User approved
Authorizations
Path Parameters
Id of the bank account to be obtained.
Response
OK
Id of the user who owns the bank account.
"66562bc04fe8bf83c577c178"
Creation date and time of the bank account.
"2024-05-31T13:55:11.452Z"
Name of the bank.
"BANAMEX"
Country of the bank.
MX, PE, CO Name of the account holder.
"Account holder name"
Fiat currency of the bank account.
USD, MXN, PEN, COP Number of the bank account.
"0123456789"
The Standardized Bank Code (CLABE) associated with the bank account, used in Mexico.
"0023764000000012345"
Only for bank accounts in Peru.
"00111233001112345678"
Indicates if the bank account has been approved.
true
Notes about the bank account.
"Bank Account"
Only for MXN accounts held at NVIO.
Advanced verification status of the bank account.
initiated, sent, passed, cancelled Id of the bank account.
"6659d6bfd78151f639e74d53"
Name of the user who owns the bank account.